Bug 83793 - I18N - pasting multibyte into diagram does not show correct multibyte
I18N - pasting multibyte into diagram does not show correct multibyte
Status: NEW
Product: uml
Classification: Unclassified
Component: General Diagram
5.x
Sun Solaris
: P3 with 1 vote (vote)
: 6.x
Assigned To: issues@uml
issues@uml
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 14:37 UTC by bugbridge
Modified: 2009-05-25 21:06 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugbridge 2006-08-30 14:37:48 UTC
Original submitter: kfrank

Description:
create a diagram and element and click in the element box title on drawing area
to change the text

paste some multibyte copied from a terminal (am on solaris ) but it pastes
just one box, not the correct mbyte - see the first gif
(and in element properties shows as some \uffff type of notation.

if you paste into the title properties of the element, the mbyte shows ok in the
element
on the drawing area and in the title properties - see second gif (the 2 boxes in
element
title properties is from the first paste into the element.

Related perhaps to other issues that had been seen with mbyte input but have not
seen the box situation before - in past it had just not pasted anything.

Workaround:
Since the problem seems to involve the diagram edit control, the simple
work-around is to change the names of elements, attributes, and operations
through the Properties window.
Comment 1 Ken Frank 2006-08-30 16:07:53 UTC
As to the workaround mentioned, if this issue happened for english, would that
be acceptable work around or would the bug be fixed ? If it would
be fixed for english, it seems it should be fixed for other languages also.

ken.frank@sun.com
Comment 2 George Vasick 2007-06-28 22:52:21 UTC
Targeted in drawing area redesign.
Comment 3 George Vasick 2007-07-04 00:56:42 UTC
Restoring original priority and using the standard NB waiver process.
Comment 4 George Vasick 2008-01-02 17:49:19 UTC
Diagram area bugs waived for 6.0 will also be waived for 6.1.
Comment 5 Ken Frank 2008-04-14 22:34:23 UTC
will new features/etc for uml involve new implenentation of how multibyte input and pasting
is handled ?

ken.frank@sun.com
Comment 6 Ken Frank 2008-05-15 16:31:21 UTC
please fix for 6.5
Comment 7 Sergey Petrov 2009-01-15 22:00:37 UTC
can multibyte sample be added to comments or in attachment?


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo